[pytest]
filterwarnings =
    ignore::DeprecationWarning
junit_family=xunit1
log_cli = false
log_cli_level = DEBUG
log_cli_format = 1|%(asctime)s.%(msecs)03dZ|%(levelname)s|%(threadName)s|%(funcName)s|%(filename)s#%(lineno)d||%(message)s
log_cli_date_format = %Y-%m-%dT%H:%M:%S
log_file = pytest-logs.txt
log_file_level = INFO
testpaths =
addopts = --forked --json-report --json-report-file=build/report.json --junitxml=build/unit-tests.xml --cucumberjson=build/cucumber.json --disable-pytest-warnings

markers = 
    post_deployment: run only with a real deployment of the ska tmc repository
    SKA-mid: run on SKA mid only
    xfailed: mark test asa xfail
    skip: mark the tests as skip, due to functionality is in TODO
    acceptance: run with real deployment and outside the context of the ska tmc repository
    sdpmln: run on SdpMasterLeafNode only
    sdpsln: run on SdpSubarrayLeafNode only
    cspmln: run on CspMasterLeafNode only
    tmc_csp_new_ITH: run just the new ITH TMC-CSP tests
bdd_features_base_dir = tests/integration
